package com.bcxin.ins.entity.common;

import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;
import java.util.Date;

/**
 * <b>通告表 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("com_inform")
public class ComInform implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long com_inform_id;

    @TableField(value = "title")
    private String title;//标题

    @TableField(value = "content")
    private String content;//内容

    @TableField(value = "create_time")
    private Date create_time;//创建时间

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by; //创建者

    @TableField(value = "trigger_time")
    private Date trigger_time;//触发时间（开始提醒时间）

    @TableField(value = "plan_star_time")
    private Date plan_star_time;//计划开始时间

    @TableField(value = "plan_end_time")
    private Date plan_end_time;//计划结束时间

    @TableField(value = "execute_type")
    private String execute_type;//提醒方式：1.每次；2.单次；3.暂停；

    @TableField(value = "update_time")
    private Date update_time;//修改时间

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by; //修改者

    @TableField(value = "inform_type")
    private String inform_type;//公告类型：1.系统升级，2.功能或产品推荐

    @JsonSerialize(using = ToStringSerializer.class)
    public Long getCom_inform_id() {
        return com_inform_id;
    }

    public void setCom_inform_id(Long com_inform_id) {
        this.com_inform_id = com_inform_id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm")
    public Date getTrigger_time() {
        return trigger_time;
    }

    public void setTrigger_time(Date trigger_time) {
        this.trigger_time = trigger_time;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm")
    public Date getPlan_star_time() {
        return plan_star_time;
    }

    public void setPlan_star_time(Date plan_star_time) {
        this.plan_star_time = plan_star_time;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm")
    public Date getPlan_end_time() {
        return plan_end_time;
    }

    public void setPlan_end_time(Date plan_end_time) {
        this.plan_end_time = plan_end_time;
    }

    public String getExecute_type() {
        return execute_type;
    }

    public void setExecute_type(String execute_type) {
        this.execute_type = execute_type;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public String getInform_type() {
        return inform_type;
    }

    public void setInform_type(String inform_type) {
        this.inform_type = inform_type;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }
}