package com.bcxin.ins.entity.policy_core;

import com.bcxin.ins.core.entity.SysCompany;
import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;
/**
 * <b>企业短期信用险特殊字段表-发票 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("ins_mail_policy")
public class InsMailPolicy implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long ins_mail_policy_id;

    @TableField(value = "idx")
    private Long idx;

    @TableField(value = "code")
    private String code;

    @TableField(value = "codex")
    private String codex;

    @TableField(value = "remarks")
    private String remarks;	// 备注

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by;	// 更新者

    @TableField(value = "update_time")
    private Date update_time;	// 更新日期

    @TableField(value = "status")
    protected Integer status; 	//

    @TableField(value = "company_id",el="sysCompany.company_id")
    protected SysCompany sysCompany;

    @TableField(value = "need_insur_bill")
    private Integer need_insur_bill = 0;	//是否需要纸质保单

    @TableField(value = "receiver_name")
    private String receiver_name;

    @TableField(value = "receiver_mobile")
    private String receiver_mobile;

    @TableField(value = "receiver_address_detail")
    private String receiver_address_detail;

    @TableField(value = "need_receipt")
    private Integer need_receipt = 0;	//0否，1是，是否需要发票

    @TableField(value = "is_send_einvoice")
    private Integer is_send_einvoice = 0;	//0否，1是，是否需要电子发票,目前只有中华雇主会用到

    @TableField(value = "invoice_type")
    private String invoice_type;// 0.增值税普通发票  1.专发票

    @TableField(value = "receipt_head")
    private String receipt_head;

    @TableField(value = "taker_name")
    private String taker_name;

    @TableField(value = "taker_phone")
    private String taker_phone;

    @TableField(value = "taker_mobile")
    private String taker_mobile;

    @TableField(value = "taker_zip_code")
    private String taker_zip_code;

    @TableField(value = "taker_city_code")
    private String taker_city_code;

    @TableField(value = "taker_address_detail")
    private String taker_address_detail;

    @TableField(value = "taxpayer_number_invoice")
    private String taxpayer_number_invoice;

    @TableField(value = "register_address_invoice")
    private String register_address_invoice;

    @TableField(value = "receipt_phone")
    private String receipt_phone;

    @TableField(value = "bank_province")
    private String bank_province;//开户银行 省

    @TableField(value = "bank_city")
    private String bank_city;//开户银行 市

    @TableField(value = "bank_invoice")
    private String bank_invoice;//开户银行

    @TableField(value = "bank_account_invoice")
    private String bank_account_invoice;//银行账号

    @TableField(value = "tax_cert")
    private String tax_cert;

    @TableField(value = "tax_prove")
    private String tax_prove;

    @TableField(value = "bank_licence")
    private String bank_licence;

    @TableField(value = "business_license")
    private String business_license;

    @TableField(value = "auth_cert")
    private String auth_cert;

    @TableField(value = "e_invoice_url")
    private String e_invoice_url;//电子发票地址

    public String getTaker_phone() {
        return taker_phone;
    }

    public void setTaker_phone(String taker_phone) {
        this.taker_phone = taker_phone;
    }

    public String getTaker_zip_code() {
        return taker_zip_code;
    }

    public void setTaker_zip_code(String taker_zip_code) {
        this.taker_zip_code = taker_zip_code;
    }

    public String getTaker_city_code() {
        return taker_city_code;
    }

    public void setTaker_city_code(String taker_city_code) {
        this.taker_city_code = taker_city_code;
    }

    public Long getIns_mail_policy_id() {
        return ins_mail_policy_id;
    }

    public void setIns_mail_policy_id(Long ins_mail_policy_id) {
        this.ins_mail_policy_id = ins_mail_policy_id;
    }

    public Long getIdx() {
        return idx;
    }

    public void setIdx(Long idx) {
        this.idx = idx;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodex() {
        return codex;
    }

    public void setCodex(String codex) {
        this.codex = codex;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public int getNeed_insur_bill() {
        return need_insur_bill;
    }

    public void setNeed_insur_bill(Integer need_insur_bill) {
        this.need_insur_bill = need_insur_bill;
    }

    public String getReceiver_name() {
        return receiver_name;
    }

    public void setReceiver_name(String receiver_name) {
        this.receiver_name = receiver_name;
    }

    public String getReceiver_mobile() {
        return receiver_mobile;
    }

    public void setReceiver_mobile(String receiver_mobile) {
        this.receiver_mobile = receiver_mobile;
    }

    public String getReceiver_address_detail() {
        return receiver_address_detail;
    }

    public void setReceiver_address_detail(String receiver_address_detail) {
        this.receiver_address_detail = receiver_address_detail;
    }

    public int getNeed_receipt() {
        return need_receipt;
    }

    public void setNeed_receipt(Integer need_receipt) {
        this.need_receipt = need_receipt;
    }

    public String getInvoice_type() {
        return invoice_type;
    }

    public void setInvoice_type(String invoice_type) {
        this.invoice_type = invoice_type;
    }

    public String getReceipt_head() {
        return receipt_head;
    }

    public void setReceipt_head(String receipt_head) {
        this.receipt_head = receipt_head;
    }

    public String getTaker_name() {
        return taker_name;
    }

    public void setTaker_name(String taker_name) {
        this.taker_name = taker_name;
    }


    public String getTaker_mobile() {
        return taker_mobile;
    }

    public void setTaker_mobile(String taker_mobile) {
        this.taker_mobile = taker_mobile;
    }


    public String getTaker_address_detail() {
        return taker_address_detail;
    }

    public void setTaker_address_detail(String taker_address_detail) {
        this.taker_address_detail = taker_address_detail;
    }

    public String getTaxpayer_number_invoice() {
        return taxpayer_number_invoice;
    }

    public void setTaxpayer_number_invoice(String taxpayer_number_invoice) {
        this.taxpayer_number_invoice = taxpayer_number_invoice;
    }

    public String getRegister_address_invoice() {
        return register_address_invoice;
    }

    public void setRegister_address_invoice(String register_address_invoice) {
        this.register_address_invoice = register_address_invoice;
    }

    public String getReceipt_phone() {
        return receipt_phone;
    }

    public void setReceipt_phone(String receipt_phone) {
        this.receipt_phone = receipt_phone;
    }

    public String getBank_invoice() {
        return bank_invoice;
    }

    public void setBank_invoice(String bank_invoice) {
        this.bank_invoice = bank_invoice;
    }

    public String getBank_account_invoice() {
        return bank_account_invoice;
    }

    public void setBank_account_invoice(String bank_account_invoice) {
        this.bank_account_invoice = bank_account_invoice;
    }

    public String getTax_cert() {
        return tax_cert;
    }

    public void setTax_cert(String tax_cert) {
        this.tax_cert = tax_cert;
    }

    public String getTax_prove() {
        return tax_prove;
    }

    public void setTax_prove(String tax_prove) {
        this.tax_prove = tax_prove;
    }

    public String getBank_licence() {
        return bank_licence;
    }

    public void setBank_licence(String bank_licence) {
        this.bank_licence = bank_licence;
    }

    public String getBusiness_license() {
        return business_license;
    }

    public void setBusiness_license(String business_license) {
        this.business_license = business_license;
    }

    public String getAuth_cert() {
        return auth_cert;
    }

    public void setAuth_cert(String auth_cert) {
        this.auth_cert = auth_cert;
    }

    public String getBank_province() {
        return bank_province;
    }

    public void setBank_province(String bank_province) {
        this.bank_province = bank_province;
    }

    public String getBank_city() {
        return bank_city;
    }

    public void setBank_city(String bank_city) {
        this.bank_city = bank_city;
    }

    public Integer getIs_send_einvoice() {
        return is_send_einvoice;
    }

    public void setIs_send_einvoice(Integer is_send_einvoice) {
        this.is_send_einvoice = is_send_einvoice;
    }

    public String getE_invoice_url() {
        return e_invoice_url;
    }

    public void setE_invoice_url(String e_invoice_url) {
        this.e_invoice_url = e_invoice_url;
    }
}