package com.bcxin.ins.entity.policy_core;

import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 保全申请单表
 */
@TableName("ins_preservation_record")
public class InsPreservationRecord implements Serializable {

    /**
     * id
     */
    @TableId(type = IdType.ID_WORKER)
    private Long ins_preservation_record_id;

    /**
     * 归属用户id
     */
    @TableField(value = "sys_client_user_id")
    private Long sys_client_user_id;

    /**
     * 保单id
     */
    @TableField(value = "ins_insurance_slip_id")
    private Long ins_insurance_slip_id;

    /**
     * 投保人名称
     */
    @TableField(value = "app_role_name")
    private String app_role_name;

    /**
     * 批改流水号
     */
    @TableField(value = "revise_serial_number")
    private String revise_serial_number;

    /**
     * 批改单号
     */
    @TableField(value = "revise_serial_num_ins")
    private String revise_serial_num_ins;

    /**
     * 批改类型
     */
    @TableField(value = "revise_type")
    private String revise_type;

    /**
     * 批改状态
     */
    @TableField(value = "revise_status")
    private String revise_status;

    /**
     * 保单号
     */
    @TableField(value = "external_reference")
    private String external_reference;

    /**
     * 生效日期
     */
    @TableField(value = "inception_date")
    private Date inception_date;

    /**
     * 失效日期
     */
    @TableField(value = "planned_end_date")
    private Date planned_end_date;

    /**
     * 保险公司id
     */
    @TableField(value = "sys_ins_company_id")
    private Long sys_ins_company_id;

    /**
     * 保全缴费表id
     */
    @TableField(value = "ins_preservation_pay_id")
    private Long ins_preservation_pay_id;

    /**
     * 提交申请时间
     */
    @TableField(value = "start_time")
    private Date start_time;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    private Date update_time;

    /**
     * 增员人数
     */
    @TableField(value = "add_count")
    private int add_count;

    /**
     * 减员人数
     */
    @TableField(value = "minus_count")
    private int minus_count;

    /**
     * 替换人数
     */
    @TableField(value = "replace_count")
    private int replace_count;

    /**
     * 批改单地址
     */
    @TableField(value = "revise_path")
    private String revise_path;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 版本发布时间
     */
    @TableField(value = "release_time")
    private Date release_time;

    /**
     * 总保费
     */
    @TableField(value = "total_premium")
    private BigDecimal total_premium;

    /**
     * 是否推送标记0未推送，1已推送（针对不同平台推送保全人员时用到）
     */
    @TableField(value = "is_push")
    private Integer is_push = 0;

    /**
     * 同步业支返回的ID（存在值说明已同步业支）
     */
    @TableField(value = "record_zc_id")
    private String record_zc_id;

    public Long getIns_preservation_record_id() {
        return ins_preservation_record_id;
    }

    public void setIns_preservation_record_id(Long ins_preservation_record_id) {
        this.ins_preservation_record_id = ins_preservation_record_id;
    }

    public Long getSys_client_user_id() {
        return sys_client_user_id;
    }

    public void setSys_client_user_id(Long sys_client_user_id) {
        this.sys_client_user_id = sys_client_user_id;
    }

    public Long getIns_insurance_slip_id() {
        return ins_insurance_slip_id;
    }

    public void setIns_insurance_slip_id(Long ins_insurance_slip_id) {
        this.ins_insurance_slip_id = ins_insurance_slip_id;
    }

    public String getApp_role_name() {
        return app_role_name;
    }

    public void setApp_role_name(String app_role_name) {
        this.app_role_name = app_role_name;
    }

    public String getRevise_serial_number() {
        return revise_serial_number;
    }

    public void setRevise_serial_number(String revise_serial_number) {
        this.revise_serial_number = revise_serial_number;
    }

    public String getRevise_serial_num_ins() {
        return revise_serial_num_ins;
    }

    public void setRevise_serial_num_ins(String revise_serial_num_ins) {
        this.revise_serial_num_ins = revise_serial_num_ins;
    }

    public String getRevise_type() {
        return revise_type;
    }

    public void setRevise_type(String revise_type) {
        this.revise_type = revise_type;
    }

    public String getRevise_status() {
        return revise_status;
    }

    public void setRevise_status(String revise_status) {
        this.revise_status = revise_status;
    }

    public String getExternal_reference() {
        return external_reference;
    }

    public void setExternal_reference(String external_reference) {
        this.external_reference = external_reference;
    }

    public Date getInception_date() {
        return inception_date;
    }

    public void setInception_date(Date inception_date) {
        this.inception_date = inception_date;
    }

    public Long getSys_ins_company_id() {
        return sys_ins_company_id;
    }

    public void setSys_ins_company_id(Long sys_ins_company_id) {
        this.sys_ins_company_id = sys_ins_company_id;
    }

    public Long getIns_preservation_pay_id() {
        return ins_preservation_pay_id;
    }

    public void setIns_preservation_pay_id(Long ins_preservation_pay_id) {
        this.ins_preservation_pay_id = ins_preservation_pay_id;
    }

    public Date getStart_time() {
        return start_time;
    }

    public void setStart_time(Date start_time) {
        this.start_time = start_time;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public int getAdd_count() {
        return add_count;
    }

    public void setAdd_count(int add_count) {
        this.add_count = add_count;
    }

    public int getMinus_count() {
        return minus_count;
    }

    public void setMinus_count(int minus_count) {
        this.minus_count = minus_count;
    }

    public int getReplace_count() {
        return replace_count;
    }

    public void setReplace_count(int replace_count) {
        this.replace_count = replace_count;
    }

    public String getRevise_path() {
        return revise_path;
    }

    public void setRevise_path(String revise_path) {
        this.revise_path = revise_path;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getRelease_time() {
        return release_time;
    }

    public void setRelease_time(Date release_time) {
        this.release_time = release_time;
    }

    public BigDecimal getTotal_premium() {
        return total_premium;
    }

    public void setTotal_premium(BigDecimal total_premium) {
        this.total_premium = total_premium;
    }

    public Date getPlanned_end_date() {
        return planned_end_date;
    }

    public void setPlanned_end_date(Date planned_end_date) {
        this.planned_end_date = planned_end_date;
    }

    public Integer getIs_push() {
        return is_push;
    }

    public void setIs_push(Integer is_push) {
        this.is_push = is_push;
    }

    public String getRecord_zc_id() {
        return record_zc_id;
    }

    public void setRecord_zc_id(String record_zc_id) {
        this.record_zc_id = record_zc_id;
    }
}