package com.bcxin.ins.entity.policy_core;

import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;
import com.bcxin.mybatisplus.toolkit.StringUtils;

import java.io.Serializable;
import java.util.Date;

/**
 * 保全单有效被保险人结果集
 */
@TableName("ins_preservation_result_set")
public class InsPreservationResultSet implements Serializable {

    /**
     * id
     */
    @TableId(type = IdType.ID_WORKER)
    private Long ins_preservation_result_set_id;

    /**
     * 保全申请单表id
     */
    @TableField(value = "ins_preservation_record_id")
    private Long ins_preservation_record_id;

    /**
     * 订单id
     */
    @TableField(value = "ins_insurance_slip_id")
    private Long ins_insurance_slip_id;

    /**
     * 姓名
     */
    @TableField(value = "name")
    private String name;

    /**
     * 身份证号
     */
    @TableField(value = "id_card")
    private String id_card;

    /**
     * 出生年月
     */
    @TableField(value = "birthday")
    private String birthday;

    /**
     * 证件类型
     */
    @TableField(value = "id_type")
    private String id_type;

    /**
     * 职业类别
     */
    @TableField(value = "career")
    private String career;

    /**
     * 方案
     */
    @TableField(value = "scheme")
    private String scheme;

    /**
     * 性别
     */
    @TableField(value = "sex")
    private String sex;

    /**
     * 手机号码
     */
    @TableField(value = "tel")
    private String tel;

    /**
     * 来源id
     */
    @TableField(value = "belong_to_id")
    private Long belong_to_id;

    /**
     * 来源标识
     */
    @TableField(value = "belong_to_type")
    private String belong_to_type;

    /**
     * 批改时间
     */
    @TableField(value = "revise_time")
    private Date revise_time;

    /**
     * 批改类型
     */
    @TableField(value = "revise_type")
    private String revise_type;

    /**
     * 有效或无效人员 0，有效人员；1，失效人员
     */
    @TableField(value = "status")
    private int status;

    public Long getIns_preservation_result_set_id() {
        return ins_preservation_result_set_id;
    }

    public void setIns_preservation_result_set_id(Long ins_preservation_result_set_id) {
        this.ins_preservation_result_set_id = ins_preservation_result_set_id;
    }

    public Long getIns_preservation_record_id() {
        return ins_preservation_record_id;
    }

    public void setIns_preservation_record_id(Long ins_preservation_record_id) {
        this.ins_preservation_record_id = ins_preservation_record_id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId_card() {
        return id_card;
    }

    public void setId_card(String id_card) {
        this.id_card = id_card;
    }

    public String getBirthday() {
        if(StringUtils.isNotEmpty(birthday)){
            if(birthday.length()>10){
                return birthday.substring(0,10);
            }
        }
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getId_type() {
        return id_type;
    }

    public void setId_type(String id_type) {
        this.id_type = id_type;
    }

    public String getCareer() {
        return career;
    }

    public void setCareer(String career) {
        this.career = career;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public Long getBelong_to_id() {
        return belong_to_id;
    }

    public void setBelong_to_id(Long belong_to_id) {
        this.belong_to_id = belong_to_id;
    }

    public String getBelong_to_type() {
        return belong_to_type;
    }

    public void setBelong_to_type(String belong_to_type) {
        this.belong_to_type = belong_to_type;
    }

    public Date getRevise_time() {
        return revise_time;
    }

    public void setRevise_time(Date revise_time) {
        this.revise_time = revise_time;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getScheme() {
        return scheme;
    }

    public void setScheme(String scheme) {
        this.scheme = scheme;
    }

    public String getRevise_type() {
        return revise_type;
    }

    public void setRevise_type(String revise_type) {
        this.revise_type = revise_type;
    }

    public Long getIns_insurance_slip_id() {
        return ins_insurance_slip_id;
    }

    public void setIns_insurance_slip_id(Long ins_insurance_slip_id) {
        this.ins_insurance_slip_id = ins_insurance_slip_id;
    }
}