package com.bcxin.ins.entity.policy_core;

import com.bcxin.ins.core.entity.SysCompany;
import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 * <b>企业短期信用险特殊字段表-应收帐款 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("ins_transaction")
public class InsTransaction implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long ins_transaction_id;

    @TableField(value = "remarks")
    private String remarks;	// 备注

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by;	// 更新者

    @TableField(value = "update_time")
    private Date update_time;	// 更新日期

    @TableField(value = "status")
    protected Integer status; 	//

    @TableField(value = "company_id",el="sysCompany.company_id")
    protected SysCompany sysCompany;

    @TableField(value = "pay_order_number")
    private String pay_order_number;

    @TableField(value = "pay_order_url")
    private String pay_order_url;

    @TableField(value = "payment_method")
    private String payment_method;
    @TableField(value = "pay_type")
    private   String   pay_type;

    @TableField(value = "pay_amount")
    private BigDecimal pay_amount;//应付

    @TableField(value = "out_of_pocket")
    private BigDecimal out_of_pocket;//实付

    @TableField(value = "start_time")
    private Date start_time;

    @TableField(value = "end_time")
    private Date end_time;

    @TableField(value = "transaction_status")
    private String transaction_status;

    @TableField(value = "insurance_slip_id",el="insurance_slip.ins_insurance_slip_id")
    private InsInsuranceSlip insurance_slip;

    @TableField(value = "user_id")
    private Long user_id;

    @TableField(value = "trade_serial_number")
    private String trade_serial_number;

    @TableField(value = "path_sign")
    private String path_sign;

    @TableField(value = "deal_url")
    private String deal_url;

    public Long getIns_transaction_id() {
        return ins_transaction_id;
    }

    public void setIns_transaction_id(Long ins_transaction_id) {
        this.ins_transaction_id = ins_transaction_id;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public String getPay_order_number() {
        return pay_order_number;
    }

    public void setPay_order_number(String pay_order_number) {
        this.pay_order_number = pay_order_number;
    }

    public String getPay_order_url() {
        return pay_order_url;
    }

    public void setPay_order_url(String pay_order_url) {
        this.pay_order_url = pay_order_url;
    }

    public String getPayment_method() {
        return payment_method;
    }

    public void setPayment_method(String payment_method) {
        this.payment_method = payment_method;
    }

    public BigDecimal getPay_amount() {
        return pay_amount;
    }

    public void setPay_amount(BigDecimal pay_amount) {
        this.pay_amount = pay_amount;
    }

    public Date getStart_time() {
        return start_time;
    }

    public void setStart_time(Date start_time) {
        this.start_time = start_time;
    }

    public Date getEnd_time() {
        return end_time;
    }

    public void setEnd_time(Date end_time) {
        this.end_time = end_time;
    }

    public String getTransaction_status() {
        return transaction_status;
    }

    public void setTransaction_status(String transaction_status) {
        this.transaction_status = transaction_status;
    }

    public InsInsuranceSlip getInsurance_slip() {
        return insurance_slip;
    }

    public void setInsurance_slip(InsInsuranceSlip insurance_slip) {
        this.insurance_slip = insurance_slip;
    }

    public Long getUser_id() {
        return user_id;
    }

    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }

    public String getTrade_serial_number() {
        return trade_serial_number;
    }

    public void setTrade_serial_number(String trade_serial_number) {
        this.trade_serial_number = trade_serial_number;
    }

    public String getPath_sign() {
        return path_sign;
    }

    public void setPath_sign(String path_sign) {
        this.path_sign = path_sign;
    }

    public String getDeal_url() {
        return deal_url;
    }

    public void setDeal_url(String deal_url) {
        this.deal_url = deal_url;
    }

    public String getPay_type() {
        return pay_type;
    }

    public void setPay_type(String pay_type) {
        this.pay_type = pay_type;
    }

    public BigDecimal getOut_of_pocket() {
        return out_of_pocket;
    }

    public void setOut_of_pocket(BigDecimal out_of_pocket) {
        this.out_of_pocket = out_of_pocket;
    }
}