package com.bcxin.ins.entity.policy_report;

import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;

/**
 * <b> 报案成功案件信息 </b>
 * @author ZXF
 * @create 2019/11/11 0011 11:06
 * @version
 * @注意事项 </b>
 */
@TableName("ins_case_info")
public class InsCaseInfo implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long ins_case_info_id;

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "status")
    protected Integer status;

    /*
    * 基础报案信息表
    * */
    @TableField(value = "ins_common_report_id")
    private Long ins_common_report_id;

    @TableField(value = "audit_status")
    private String audit_status;	//是否理赔状态【1理赔，0不理赔】

    @TableField(value = "claim_no")
    private String claim_no;//运单号

    @TableField(value = "case_no")
    private String case_no;//赔案号

    @TableField(value = "case_times")
    private Integer case_times;	//赔付次数

    @TableField(value = "case_status")
    private String case_status;	//案件状态（0-已结案 1-已报案  2-已理算  6-已归档）

    @TableField(value = "case_status_1")
    private String case_status_1;	//案件状态【“查勘中”、“定责中”、“定损中”、“核赔前置中”、“理算中”、“审核中”、“支付退回中”、“待归档”、“已归档”】

    @TableField(value = "case_status_2")
    private String case_status_2;	//案件状态【审核中、案件已完结、赔款已到账】

    @TableField(value = "claim_phone")
    private String claim_phone;	//理赔人电话

    @TableField(value = "claim_name")
    private String claim_name;	//理赔人名字

    @TableField(value = "end_case_amount_sum")
    private String end_case_amount_sum;	//结案赔款金额

    @TableField(value = "end_case_date")
    private Date end_case_date;	//结案时间

    @TableField(value = "order_no")
    private String order_no;	//运单号

    @TableField(value = "reject_notice_date")
    private Date reject_notice_date;	//拒赔时间

    @TableField(value = "reject_notice_url")
    private String reject_notice_url;	//拒赔通知书链接[有时效性，10-15分钟]

    @TableField(value = "indemnity_conclusion")
    private String indemnity_conclusion;	//赔付结论

    @TableField(value = "withdraw_reason")
    private String withdraw_reason;	//赔付说明

    public Long getIns_case_info_id() {
        return ins_case_info_id;
    }

    public void setIns_case_info_id(Long ins_case_info_id) {
        this.ins_case_info_id = ins_case_info_id;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getIns_common_report_id() {
        return ins_common_report_id;
    }

    public void setIns_common_report_id(Long ins_common_report_id) {
        this.ins_common_report_id = ins_common_report_id;
    }

    public String getAudit_status() {
        return audit_status;
    }

    public void setAudit_status(String audit_status) {
        this.audit_status = audit_status;
    }

    public String getClaim_no() {
        return claim_no;
    }

    public void setClaim_no(String claim_no) {
        this.claim_no = claim_no;
    }

    public String getCase_no() {
        return case_no;
    }

    public void setCase_no(String case_no) {
        this.case_no = case_no;
    }

    public Integer getCase_times() {
        return case_times;
    }

    public void setCase_times(Integer case_times) {
        this.case_times = case_times;
    }

    public String getCase_status() {
        return case_status;
    }

    public void setCase_status(String case_status) {
        this.case_status = case_status;
    }

    public String getCase_status_1() {
        return case_status_1;
    }

    public void setCase_status_1(String case_status_1) {
        this.case_status_1 = case_status_1;
    }

    public String getCase_status_2() {
        return case_status_2;
    }

    public void setCase_status_2(String case_status_2) {
        this.case_status_2 = case_status_2;
    }

    public String getClaim_phone() {
        return claim_phone;
    }

    public void setClaim_phone(String claim_phone) {
        this.claim_phone = claim_phone;
    }

    public String getClaim_name() {
        return claim_name;
    }

    public void setClaim_name(String claim_name) {
        this.claim_name = claim_name;
    }

    public String getEnd_case_amount_sum() {
        return end_case_amount_sum;
    }

    public void setEnd_case_amount_sum(String end_case_amount_sum) {
        this.end_case_amount_sum = end_case_amount_sum;
    }

    public Date getEnd_case_date() {
        return end_case_date;
    }

    public void setEnd_case_date(Date end_case_date) {
        this.end_case_date = end_case_date;
    }

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public String getIndemnity_conclusion() {
        return indemnity_conclusion;
    }

    public void setIndemnity_conclusion(String indemnity_conclusion) {
        this.indemnity_conclusion = indemnity_conclusion;
    }

    public String getWithdraw_reason() {
        return withdraw_reason;
    }

    public void setWithdraw_reason(String withdraw_reason) {
        this.withdraw_reason = withdraw_reason;
    }

    public Date getReject_notice_date() {
        return reject_notice_date;
    }

    public void setReject_notice_date(Date reject_notice_date) {
        this.reject_notice_date = reject_notice_date;
    }

    public String getReject_notice_url() {
        return reject_notice_url;
    }

    public void setReject_notice_url(String reject_notice_url) {
        this.reject_notice_url = reject_notice_url;
    }
}