package com.bcxin.ins.entity.policy_report;

import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;

/**
 * <b> 报案成功案件信息 </b>
 * @author ZXF
 * @create 2019/11/11 0011 11:06
 * @version
 * @注意事项 </b>
 */
@TableName("ins_case_schedule")
public class InsCaseSchedule implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long ins_case_schedule_id;

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "status")
    protected Integer status;

    /*
    * 基础报案信息表
    * */
    @TableField(value = "ins_common_report_id")
    private Long ins_common_report_id;

    @TableField(value = "duty_reason_name")
    private String duty_reason_name;	//责任原因

    @TableField(value = "duty_reason_remark")
    private String duty_reason_remark;//责任原因说明

    @TableField(value = "reason_code_1")
    private String reason_code_1;//环节原因一

    @TableField(value = "reason_code_2")
    private String reason_code_2;	//环节原因二

    @TableField(value = "reason_code_3")
    private String reason_code_3;	//环节原因三

    @TableField(value = "clean_schedule")
    private String clean_schedule;	//结案计划

    @TableField(value = "clean_schedule_remark")
    private String clean_schedule_remark;	//结案计划说明

    @TableField(value = "clean_date")
    private Date clean_date;	//结案时间

    @TableField(value = "input_date")
    private Date input_date;	//录入时间

    public Long getIns_case_schedule_id() {
        return ins_case_schedule_id;
    }

    public void setIns_case_schedule_id(Long ins_case_schedule_id) {
        this.ins_case_schedule_id = ins_case_schedule_id;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getIns_common_report_id() {
        return ins_common_report_id;
    }

    public void setIns_common_report_id(Long ins_common_report_id) {
        this.ins_common_report_id = ins_common_report_id;
    }

    public String getDuty_reason_name() {
        return duty_reason_name;
    }

    public void setDuty_reason_name(String duty_reason_name) {
        this.duty_reason_name = duty_reason_name;
    }

    public String getDuty_reason_remark() {
        return duty_reason_remark;
    }

    public void setDuty_reason_remark(String duty_reason_remark) {
        this.duty_reason_remark = duty_reason_remark;
    }

    public String getReason_code_1() {
        return reason_code_1;
    }

    public void setReason_code_1(String reason_code_1) {
        this.reason_code_1 = reason_code_1;
    }

    public String getReason_code_2() {
        return reason_code_2;
    }

    public void setReason_code_2(String reason_code_2) {
        this.reason_code_2 = reason_code_2;
    }

    public String getReason_code_3() {
        return reason_code_3;
    }

    public void setReason_code_3(String reason_code_3) {
        this.reason_code_3 = reason_code_3;
    }

    public String getClean_schedule() {
        return clean_schedule;
    }

    public void setClean_schedule(String clean_schedule) {
        this.clean_schedule = clean_schedule;
    }

    public String getClean_schedule_remark() {
        return clean_schedule_remark;
    }

    public void setClean_schedule_remark(String clean_schedule_remark) {
        this.clean_schedule_remark = clean_schedule_remark;
    }

    public Date getClean_date() {
        return clean_date;
    }

    public void setClean_date(Date clean_date) {
        this.clean_date = clean_date;
    }

    public Date getInput_date() {
        return input_date;
    }

    public void setInput_date(Date input_date) {
        this.input_date = input_date;
    }
}