package com.bcxin.ins.entity.policy_special;

import com.bcxin.ins.core.entity.SysCompany;
import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 * <b>小微信用险特殊字段表 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("special_credit_micro")
public class SpecialCreditMicro implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long special_credit_micro_id;

    @TableField(value = "idx")
    private Long idx;

    @TableField(value = "code")
    private String code;

    @TableField(value = "codex")
    private String codex;

    @TableField(value = "remarks")
    private String remarks;	// 备注

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by;	// 更新者

    @TableField(value = "update_time")
    private Date update_time;	// 更新日期

    @TableField(value = "status")
    protected Integer status; 	//

    @TableField(value = "company_id",el="sysCompany.company_id")
    protected SysCompany sysCompany;

    @TableField(value = "person_num")
    private Integer person_num;
    //（废弃）
    @TableField(value = "taking")
    private BigDecimal taking;

    @TableField(value = "export_amount")
    private BigDecimal export_amount;
    //（废弃）
    @TableField(value = "commodities")
    private String commodities;

    @TableField(value = "uncollected_amount")
    private BigDecimal uncollected_amount;

    @TableField(value = "uncollected_cause")
    private String uncollected_cause;

    @TableField(value = "pay_limit")
    private String pay_limit;

    @TableField(value = "pro_rata")
    private String pro_rata;

    @TableField(value = "annual_currency")
    private String annual_currency;

    @TableField(value = "disputes")
    private String disputes;

    @TableField(value = "lawsuit_province")
    private String lawsuit_province;

    @TableField(value = "lawsuit_city")
    private String lawsuit_city;

    @TableField(value = "lawsuit_area")
    private String lawsuit_area;

    @TableField(value = "lawsuit_address")
    private String lawsuit_address;

    @TableField(value = "lawsuit_institution")
    private String lawsuit_institution;

    @TableField(value = "arbitral_institution")
    private String arbitral_institution;

    @TableField(value = "notes")
    private String notes;

    @TableField(value = "classify")
    private String classify;

    public Long getSpecial_credit_micro_id() {
        return special_credit_micro_id;
    }

    public void setSpecial_credit_micro_id(Long special_credit_micro_id) {
        this.special_credit_micro_id = special_credit_micro_id;
    }

    public Long getIdx() {
        return idx;
    }

    public void setIdx(Long idx) {
        this.idx = idx;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodex() {
        return codex;
    }

    public void setCodex(String codex) {
        this.codex = codex;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public Integer getPerson_num() {
        return person_num;
    }

    public void setPerson_num(Integer person_num) {
        this.person_num = person_num;
    }

    public BigDecimal getTaking() {
        return taking;
    }

    public void setTaking(BigDecimal taking) {
        this.taking = taking;
    }

    public BigDecimal getExport_amount() {
        return export_amount;
    }

    public void setExport_amount(BigDecimal export_amount) {
        this.export_amount = export_amount;
    }

    public String getCommodities() {
        return commodities;
    }

    public void setCommodities(String commodities) {
        this.commodities = commodities;
    }

    public BigDecimal getUncollected_amount() {
        return uncollected_amount;
    }

    public void setUncollected_amount(BigDecimal uncollected_amount) {
        this.uncollected_amount = uncollected_amount;
    }

    public String getUncollected_cause() {
        return uncollected_cause;
    }

    public void setUncollected_cause(String uncollected_cause) {
        this.uncollected_cause = uncollected_cause;
    }

    public String getPay_limit() {
        return pay_limit;
    }

    public void setPay_limit(String pay_limit) {
        this.pay_limit = pay_limit;
    }

    public String getPro_rata() {
        return pro_rata;
    }

    public void setPro_rata(String pro_rata) {
        this.pro_rata = pro_rata;
    }

    public String getAnnual_currency() {
        return annual_currency;
    }

    public void setAnnual_currency(String annual_currency) {
        this.annual_currency = annual_currency;
    }

    public String getDisputes() {
        return disputes;
    }

    public void setDisputes(String disputes) {
        this.disputes = disputes;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getArbitral_institution() {
        return arbitral_institution;
    }

    public void setArbitral_institution(String arbitral_institution) {
        this.arbitral_institution = arbitral_institution;
    }

    public String getLawsuit_province() {
        return lawsuit_province;
    }

    public void setLawsuit_province(String lawsuit_province) {
        this.lawsuit_province = lawsuit_province;
    }

    public String getLawsuit_city() {
        return lawsuit_city;
    }

    public void setLawsuit_city(String lawsuit_city) {
        this.lawsuit_city = lawsuit_city;
    }

    public String getLawsuit_area() {
        return lawsuit_area;
    }

    public void setLawsuit_area(String lawsuit_area) {
        this.lawsuit_area = lawsuit_area;
    }

    public String getLawsuit_address() {
        return lawsuit_address;
    }

    public void setLawsuit_address(String lawsuit_address) {
        this.lawsuit_address = lawsuit_address;
    }

    public String getLawsuit_institution() {
        return lawsuit_institution;
    }

    public void setLawsuit_institution(String lawsuit_institution) {
        this.lawsuit_institution = lawsuit_institution;
    }
}