package com.bcxin.ins.entity.policy_special;

import com.bcxin.ins.core.entity.SysCompany;
import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <b>企业短期信用险特殊字段表 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("special_credit_st")
public class SpecialCreditSt implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long special_credit_st_id;

    @TableField(value = "idx")
    private Long idx;

    @TableField(value = "code")
    private String code;

    @TableField(value = "codex")
    private String codex;

    @TableField(value = "remarks")
    private String remarks;	// 备注

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by;	// 更新者

    @TableField(value = "update_time")
    private Date update_time;	// 更新日期

    @TableField(value = "status")
    protected Integer status; 	//

    @TableField(value = "company_id",el="sysCompany.company_id")
    protected SysCompany sysCompany;

    @TableField(value = "service_description_id",el="service_description.st_service_description_id")
    private StServiceDescription service_description = new StServiceDescription();

    @TableField(value = "turnover_id",el="turnover.st_turnover_id")
    private StTurnover turnover = new StTurnover();

    @TableField(value = "ar_as_of")
    private Date ar_as_of;

    @TableField(value = "bad_debt_id",el="bad_debt.st_bad_debt_id")
    private StBadDebt bad_debt = new StBadDebt();

    @TableField(value = "is_disclose_name")
    private Integer is_disclose_name;

    @TableField(value = "credit_management_id",el="credit_management.st_credit_management_id")
    private StCreditManagement credit_management = new StCreditManagement();

    @TableField(value = "domestic_total_sum")
    private BigDecimal domestic_total_sum;

    @TableField(value = "domestic_buyers_sum")
    private Integer domestic_buyers_sum;

    @TableField(value = "export_buyers_sum")
    private Integer export_buyers_sum;

    @TableField(value = "export_total_sum")
    private BigDecimal export_total_sum;

    @TableField(value = "classify")
    private String classify;

    /**
     * 前十大买家
     */
    @TableField(exist = false)
    private List<StTopBuyers> topBuyers;
    /**
     * 应收账款余额分布表
     */
    @TableField(exist = false)
    private List<StArDebtors> insArDebtors;

    public Long getSpecial_credit_st_id() {
        return special_credit_st_id;
    }

    public void setSpecial_credit_st_id(Long special_credit_st_id) {
        this.special_credit_st_id = special_credit_st_id;
    }

    public Long getIdx() {
        return idx;
    }

    public void setIdx(Long idx) {
        this.idx = idx;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodex() {
        return codex;
    }

    public void setCodex(String codex) {
        this.codex = codex;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public StServiceDescription getService_description() {
        return service_description;
    }

    public void setService_description(StServiceDescription service_description) {
        this.service_description = service_description;
    }

    public StTurnover getTurnover() {
        return turnover;
    }

    public void setTurnover(StTurnover turnover) {
        this.turnover = turnover;
    }

    public Date getAr_as_of() {
        return ar_as_of;
    }

    public void setAr_as_of(Date ar_as_of) {
        this.ar_as_of = ar_as_of;
    }

    public StBadDebt getBad_debt() {
        return bad_debt;
    }

    public void setBad_debt(StBadDebt bad_debt) {
        this.bad_debt = bad_debt;
    }

    public Integer getIs_disclose_name() {
        return is_disclose_name;
    }

    public void setIs_disclose_name(Integer is_disclose_name) {
        this.is_disclose_name = is_disclose_name;
    }

    public StCreditManagement getCredit_management() {
        return credit_management;
    }

    public void setCredit_management(StCreditManagement credit_management) {
        this.credit_management = credit_management;
    }

    public BigDecimal getDomestic_total_sum() {
        return domestic_total_sum;
    }

    public void setDomestic_total_sum(BigDecimal domestic_total_sum) {
        this.domestic_total_sum = domestic_total_sum;
    }

    public Integer getDomestic_buyers_sum() {
        return domestic_buyers_sum;
    }

    public void setDomestic_buyers_sum(Integer domestic_buyers_sum) {
        this.domestic_buyers_sum = domestic_buyers_sum;
    }

    public Integer getExport_buyers_sum() {
        return export_buyers_sum;
    }

    public void setExport_buyers_sum(Integer export_buyers_sum) {
        this.export_buyers_sum = export_buyers_sum;
    }

    public BigDecimal getExport_total_sum() {
        return export_total_sum;
    }

    public void setExport_total_sum(BigDecimal export_total_sum) {
        this.export_total_sum = export_total_sum;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public List<StTopBuyers> getTopBuyers() {
        return topBuyers;
    }

    public void setTopBuyers(List<StTopBuyers> topBuyers) {
        this.topBuyers = topBuyers;
    }

    public List<StArDebtors> getInsArDebtors() {
        return insArDebtors;
    }

    public void setInsArDebtors(List<StArDebtors> insArDebtors) {
        this.insArDebtors = insArDebtors;
    }
}