package com.bcxin.ins.entity.policy_special;

import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;
import java.util.Date;

/**
 * <b>展责险特殊字段表 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("special_exhibition")
public class SpecialExhibition implements Serializable {

  @TableId(type = IdType.ID_WORKER)
  private Long special_exhibition_id;
  /**
   * 活动id
   */
  @TableField(value = "activity_id")
  private String activity_id;
  /**
   * 展会名称
   */
  @TableField(value = "name")
  private String name;
  /**
   * 开始时间
   */
  @TableField(value = "star_time")
  private Date star_time;
  /**
   * 结束时间
   */
  @TableField(value = "end_time")
  private Date end_time;
  /**
   * 省
   */
  @TableField(value = "ex_province")
  private String ex_province;
  /**
   * 市
   */
  @TableField(value = "ex_city")
  private String ex_city;
  /**
   * 县区
   */
  @TableField(value = "ex_county")
  private String ex_county;
  /**
   * 详细地址
   */
  @TableField(value = "ex_address")
  private String ex_address;
  /**
   * 展会号,格式：展厅-展位号，展厅-展位号。“A1-257,A1-33,B4-33”
   */
  @TableField(value = "ex_no")
  private String ex_no;
  /**
   * 是否包含拆搭建 0：否，1：是
   */
  @TableField(value = "contains")
  private String contains;

  /**
   * 搭建公司名称
   */
  @TableField(value = "build_com_name")
  private String build_com_name;
  /**
   * 转包单位
   */
  @TableField(value = "subcontracting_units")
  private String subcontracting_units;
  /**
   * 参展商名称
   */
  @TableField(value = "exhibitor_name")
  private String exhibitor_name;
  /**
   * 参展商证件类型
   */
  @TableField(value = "exhibitor_type")
  private String exhibitor_type;
  /**
   * 参展商证件号码
   */
  @TableField(value = "exhibitor_code")
  private String exhibitor_code;
  /**
   * 展位总面积（平米）
   */
  @TableField(value = "ex_acreage")
  private String ex_acreage;
  /**
   * 雇员总人数
   */
  @TableField(value = "ex_emp_num")
  private Integer ex_emp_num;
  /**
   * 争议处理
   */
  @TableField(value = "dispute")
  private String dispute;

  @TableField(value = "arbitral_institution")
  private String arbitral_institution;
  @JsonSerialize(using=ToStringSerializer.class)
  public Long getSpecial_exhibition_id() {
    return special_exhibition_id;
  }

  public void setSpecial_exhibition_id(Long special_exhibition_id) {
    this.special_exhibition_id = special_exhibition_id;
  }


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getStar_time() {
    return star_time;
  }

  public void setStar_time(Date star_time) {
    this.star_time = star_time;
  }

  public Date getEnd_time() {
    return end_time;
  }

  public void setEnd_time(Date end_time) {
    this.end_time = end_time;
  }

  public String getEx_province() {
    return ex_province;
  }

  public void setEx_province(String ex_province) {
    this.ex_province = ex_province;
  }

  public String getEx_city() {
    return ex_city;
  }

  public void setEx_city(String ex_city) {
    this.ex_city = ex_city;
  }

  public String getEx_county() {
    return ex_county;
  }

  public void setEx_county(String ex_county) {
    this.ex_county = ex_county;
  }

  public String getEx_address() {
    return ex_address;
  }

  public void setEx_address(String ex_address) {
    this.ex_address = ex_address;
  }

  public String getEx_no() {
    return ex_no;
  }

  public void setEx_no(String ex_no) {
    this.ex_no = ex_no;
  }

  public String getBuild_com_name() {
    return build_com_name;
  }

  public void setBuild_com_name(String build_com_name) {
    this.build_com_name = build_com_name;
  }

  public String getSubcontracting_units() {
    return subcontracting_units;
  }

  public void setSubcontracting_units(String subcontracting_units) {
    this.subcontracting_units = subcontracting_units;
  }

  public String getEx_acreage() {
    return ex_acreage;
  }

  public void setEx_acreage(String ex_acreage) {
    this.ex_acreage = ex_acreage;
  }

  public String getDispute() {
    return dispute;
  }

  public void setDispute(String dispute) {
    this.dispute = dispute;
  }

  public String getArbitral_institution() {
    return arbitral_institution;
  }

  public void setArbitral_institution(String arbitral_institution) {
    this.arbitral_institution = arbitral_institution;
  }

  public Integer getEx_emp_num() {
    return ex_emp_num;
  }

  public void setEx_emp_num(Integer ex_emp_num) {
    this.ex_emp_num = ex_emp_num;
  }

  public String getContains() {
    return contains;
  }

  public void setContains(String contains) {
    this.contains = contains;
  }

  public String getActivity_id() {
    return activity_id;
  }

  public void setActivity_id(String activity_id) {
    this.activity_id = activity_id;
  }

  public String getExhibitor_name() {
    return exhibitor_name;
  }

  public void setExhibitor_name(String exhibitor_name) {
    this.exhibitor_name = exhibitor_name;
  }

  public String getExhibitor_type() {
    return exhibitor_type;
  }

  public void setExhibitor_type(String exhibitor_type) {
    this.exhibitor_type = exhibitor_type;
  }

  public String getExhibitor_code() {
    return exhibitor_code;
  }

  public void setExhibitor_code(String exhibitor_code) {
    this.exhibitor_code = exhibitor_code;
  }
}
