package com.bcxin.ins.entity.policy_special;

import com.bcxin.ins.core.entity.SysCompany;
import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <b>企业短期信用险特殊字段表-企业信息管理 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("st_credit_management")
public class StCreditManagement implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long st_credit_management_id;

    @TableField(value = "idx")
    private Long idx;

    @TableField(value = "code")
    private String code;

    @TableField(value = "codex")
    private String codex;

    @TableField(value = "remarks")
    private String remarks;	// 备注

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by;	// 更新者

    @TableField(value = "update_time")
    private Date update_time;	// 更新日期

    @TableField(value = "status")
    protected Integer status; 	//

    @TableField(value = "company_id",el="sysCompany.company_id")
    protected SysCompany sysCompany;

    @TableField(value = "delivery")
    private String delivery;

    @TableField(value = "other_date")
    private String other_date;

    @TableField(value = "is_creditlimit")
    private Integer is_creditlimit;

    @TableField(value = "material_path")
    private String material_path;

    @TableField(value = "provide_details")
    private String provide_details;

    @TableField(value = "is_expire_before")
    private Integer is_expire_before;

    @TableField(value = "expire_before_now")
    private String expire_before_now;

    @TableField(value = "is_expire_after")
    private Integer is_expire_after;

    @TableField(value = "now_expire_after")
    private String now_expire_after;

    @TableField(value = "is_chasing_letters")
    private Integer is_chasing_letters;

    @TableField(value = "chasing_letters")
    private String chasing_letters;

    @TableField(value = "is_deliveries_suspended")
    private Integer is_deliveries_suspended;

    @TableField(value = "deliveries_suspended_day")
    private String deliveries_suspended_day;

    @TableField(value = "is_visits")
    private Integer is_visits;

    @TableField(value = "visits_day")
    private String visits_day;

    @TableField(value = "is_debt_collectors")
    private Integer is_debt_collectors;

    @TableField(value = "debt_collectors_day")
    private String debt_collectors_day;

    @TableField(value = "is_legal_action")
    private Integer is_legal_action;

    @TableField(value = "legal_action_day")
    private String legal_action_day;

    @TableField(value = "is_others")
    private Integer is_others;

    @TableField(value = "others_day")
    private String others_day;

    @TableField(value = "arbitral_institution")
    private String arbitral_institution;

    /**
     * 负责信用风险控制和管理人员的详细资料表
     */
    @TableField(exist = false)
    private List<StManagerDetail> insManagerDetail;

    public Long getSt_credit_management_id() {
        return st_credit_management_id;
    }

    public void setSt_credit_management_id(Long st_credit_management_id) {
        this.st_credit_management_id = st_credit_management_id;
    }

    public Long getIdx() {
        return idx;
    }

    public void setIdx(Long idx) {
        this.idx = idx;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodex() {
        return codex;
    }

    public void setCodex(String codex) {
        this.codex = codex;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public String getDelivery() {
        return delivery;
    }

    public void setDelivery(String delivery) {
        this.delivery = delivery;
    }

    public String getOther_date() {
        return other_date;
    }

    public void setOther_date(String other_date) {
        this.other_date = other_date;
    }

    public Integer getIs_creditlimit() {
        return is_creditlimit;
    }

    public void setIs_creditlimit(Integer is_creditlimit) {
        this.is_creditlimit = is_creditlimit;
    }

    public String getMaterial_path() {
        return material_path;
    }

    public void setMaterial_path(String material_path) {
        this.material_path = material_path;
    }

    public String getProvide_details() {
        return provide_details;
    }

    public void setProvide_details(String provide_details) {
        this.provide_details = provide_details;
    }

    public Integer getIs_expire_before() {
        return is_expire_before;
    }

    public void setIs_expire_before(Integer is_expire_before) {
        this.is_expire_before = is_expire_before;
    }

    public String getExpire_before_now() {
        return expire_before_now;
    }

    public void setExpire_before_now(String expire_before_now) {
        this.expire_before_now = expire_before_now;
    }

    public Integer getIs_expire_after() {
        return is_expire_after;
    }

    public void setIs_expire_after(Integer is_expire_after) {
        this.is_expire_after = is_expire_after;
    }

    public String getNow_expire_after() {
        return now_expire_after;
    }

    public void setNow_expire_after(String now_expire_after) {
        this.now_expire_after = now_expire_after;
    }

    public Integer getIs_chasing_letters() {
        return is_chasing_letters;
    }

    public void setIs_chasing_letters(Integer is_chasing_letters) {
        this.is_chasing_letters = is_chasing_letters;
    }

    public String getChasing_letters() {
        return chasing_letters;
    }

    public void setChasing_letters(String chasing_letters) {
        this.chasing_letters = chasing_letters;
    }

    public Integer getIs_deliveries_suspended() {
        return is_deliveries_suspended;
    }

    public void setIs_deliveries_suspended(Integer is_deliveries_suspended) {
        this.is_deliveries_suspended = is_deliveries_suspended;
    }

    public String getDeliveries_suspended_day() {
        return deliveries_suspended_day;
    }

    public void setDeliveries_suspended_day(String deliveries_suspended_day) {
        this.deliveries_suspended_day = deliveries_suspended_day;
    }

    public Integer getIs_visits() {
        return is_visits;
    }

    public void setIs_visits(Integer is_visits) {
        this.is_visits = is_visits;
    }

    public String getVisits_day() {
        return visits_day;
    }

    public void setVisits_day(String visits_day) {
        this.visits_day = visits_day;
    }

    public Integer getIs_debt_collectors() {
        return is_debt_collectors;
    }

    public void setIs_debt_collectors(Integer is_debt_collectors) {
        this.is_debt_collectors = is_debt_collectors;
    }

    public String getDebt_collectors_day() {
        return debt_collectors_day;
    }

    public void setDebt_collectors_day(String debt_collectors_day) {
        this.debt_collectors_day = debt_collectors_day;
    }

    public Integer getIs_legal_action() {
        return is_legal_action;
    }

    public void setIs_legal_action(Integer is_legal_action) {
        this.is_legal_action = is_legal_action;
    }

    public String getLegal_action_day() {
        return legal_action_day;
    }

    public void setLegal_action_day(String legal_action_day) {
        this.legal_action_day = legal_action_day;
    }

    public Integer getIs_others() {
        return is_others;
    }

    public void setIs_others(Integer is_others) {
        this.is_others = is_others;
    }

    public String getOthers_day() {
        return others_day;
    }

    public void setOthers_day(String others_day) {
        this.others_day = others_day;
    }

    public String getArbitral_institution() {
        return arbitral_institution;
    }

    public void setArbitral_institution(String arbitral_institution) {
        this.arbitral_institution = arbitral_institution;
    }

    public List<StManagerDetail> getInsManagerDetail() {
        return insManagerDetail;
    }

    public void setInsManagerDetail(List<StManagerDetail> insManagerDetail) {
        this.insManagerDetail = insManagerDetail;
    }
}