package com.bcxin.ins.entity.policy_special;

import com.bcxin.ins.core.entity.SysCompany;
import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 * <b>企业短期信用险特殊字段表-债务 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("st_debt_ages")
public class StDebtAges implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long st_debt_ages_id;

    @TableField(value = "idx")
    private Long idx;

    @TableField(value = "code")
    private String code;

    @TableField(value = "codex")
    private String codex;

    @TableField(value = "remarks")
    private String remarks;	// 备注

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by;	// 更新者

    @TableField(value = "update_time")
    private Date update_time;	// 更新日期

    @TableField(value = "status")
    protected Integer status; 	//

    @TableField(value = "company_id",el="sysCompany.company_id")
    protected SysCompany sysCompany;

    @TableField(value = "domestic_amount")
    private BigDecimal domestic_amount;

    @TableField(value = "domestic_percentage")
    private BigDecimal domestic_percentage;

    @TableField(value = "credit_period")
    private String credit_period;

    @TableField(value = "export_amount")
    private BigDecimal export_amount;

    @TableField(value = "export_percentage")
    private BigDecimal export_percentage;

    @TableField(value = "bad_debt_id",el="bad_debt.st_bad_debt_id")
    private StBadDebt bad_debt;

    public Long getSt_debt_ages_id() {
        return st_debt_ages_id;
    }

    public void setSt_debt_ages_id(Long st_debt_ages_id) {
        this.st_debt_ages_id = st_debt_ages_id;
    }

    public Long getIdx() {
        return idx;
    }

    public void setIdx(Long idx) {
        this.idx = idx;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodex() {
        return codex;
    }

    public void setCodex(String codex) {
        this.codex = codex;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public BigDecimal getDomestic_amount() {
        return domestic_amount;
    }

    public void setDomestic_amount(BigDecimal domestic_amount) {
        this.domestic_amount = domestic_amount;
    }

    public BigDecimal getDomestic_percentage() {
        return domestic_percentage;
    }

    public void setDomestic_percentage(BigDecimal domestic_percentage) {
        this.domestic_percentage = domestic_percentage;
    }

    public String getCredit_period() {
        return credit_period;
    }

    public void setCredit_period(String credit_period) {
        this.credit_period = credit_period;
    }

    public BigDecimal getExport_amount() {
        return export_amount;
    }

    public void setExport_amount(BigDecimal export_amount) {
        this.export_amount = export_amount;
    }

    public BigDecimal getExport_percentage() {
        return export_percentage;
    }

    public void setExport_percentage(BigDecimal export_percentage) {
        this.export_percentage = export_percentage;
    }

    public StBadDebt getBad_debt() {
        return bad_debt;
    }

    public void setBad_debt(StBadDebt bad_debt) {
        this.bad_debt = bad_debt;
    }
}