package com.bcxin.ins.entity.policy_special;

import com.bcxin.ins.core.entity.SysCompany;
import com.bcxin.ins.core.entity.SysUser;
import com.bcxin.ins.entity.common.ComBuyers;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableId;
import com.bcxin.mybatisplus.annotations.TableName;
import com.bcxin.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 * <b>企业短期信用险特殊字段表-前十大买家 </b>
 *
 * @author zxf
 * @注意事项 </b>
 * <b>
 */
@TableName("st_top_buyers")
public class StTopBuyers implements Serializable {

    @TableId(type = IdType.ID_WORKER)
    private Long st_top_buyers_id;

    @TableField(value = "idx")
    private Long idx;

    @TableField(value = "code")
    private String code;

    @TableField(value = "codex")
    private String codex;

    @TableField(value = "remarks")
    private String remarks;	// 备注

    @TableField(value = "create_by",el="create_by.id")
    private SysUser create_by;	// 创建者

    @TableField(value = "create_time")
    private Date create_time;	// 创建日期

    @TableField(value = "update_by",el="update_by.id")
    private SysUser update_by;	// 更新者

    @TableField(value = "update_time")
    private Date update_time;	// 更新日期

    @TableField(value = "status")
    protected Integer status; 	//

    @TableField(value = "company_id",el="sysCompany.company_id")
    protected SysCompany sysCompany;

    @TableField(value = "credit_amount")
    private BigDecimal credit_amount;

    @TableField(value = "amount_requested")
    private BigDecimal amount_requested;

    @TableField(value = "limit_type")
    private String limit_type;

    @TableField(value = "payment_terms")
    private String payment_terms;

    @TableField(value = "credit_period")
    private Integer credit_period;

    @TableField(value = "reply_remark")
    private String reply_remark;

    @TableField(value = "reply_amount")
    private BigDecimal reply_amount;

    @TableField(value = "apply_type")
    private String apply_type;

    @TableField(value = "userd_amount")
    private BigDecimal userd_amount;

    @TableField(value = "unused_amount")
    private BigDecimal unused_amount;

    @TableField(value = "buyers_id",el="com_buyer.com_buyer_id")
    private ComBuyers com_buyer;

    @TableField(value = "user_id")
    private Long user_id;

    @TableField(value = "special_id")
    private Long special_id;

    @TableField(value = "reply_date")
    private Date reply_date;



    public Long getSt_top_buyers_id() {
        return st_top_buyers_id;
    }

    public void setSt_top_buyers_id(Long st_top_buyers_id) {
        this.st_top_buyers_id = st_top_buyers_id;
    }

    public Long getIdx() {
        return idx;
    }

    public void setIdx(Long idx) {
        this.idx = idx;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCodex() {
        return codex;
    }

    public void setCodex(String codex) {
        this.codex = codex;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public SysUser getCreate_by() {
        return create_by;
    }

    public void setCreate_by(SysUser create_by) {
        this.create_by = create_by;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public SysUser getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(SysUser update_by) {
        this.update_by = update_by;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public SysCompany getSysCompany() {
        return sysCompany;
    }

    public void setSysCompany(SysCompany sysCompany) {
        this.sysCompany = sysCompany;
    }

    public BigDecimal getCredit_amount() {
        return credit_amount;
    }

    public void setCredit_amount(BigDecimal credit_amount) {
        this.credit_amount = credit_amount;
    }

    public BigDecimal getAmount_requested() {
        return amount_requested;
    }

    public void setAmount_requested(BigDecimal amount_requested) {
        this.amount_requested = amount_requested;
    }

    public String getLimit_type() {
        return limit_type;
    }

    public void setLimit_type(String limit_type) {
        this.limit_type = limit_type;
    }

    public String getPayment_terms() {
        return payment_terms;
    }

    public void setPayment_terms(String payment_terms) {
        this.payment_terms = payment_terms;
    }

    public Integer getCredit_period() {
        return credit_period;
    }

    public void setCredit_period(Integer credit_period) {
        this.credit_period = credit_period;
    }

    public String getReply_remark() {
        return reply_remark;
    }

    public void setReply_remark(String reply_remark) {
        this.reply_remark = reply_remark;
    }

    public BigDecimal getReply_amount() {
        return reply_amount;
    }

    public void setReply_amount(BigDecimal reply_amount) {
        this.reply_amount = reply_amount;
    }

    public String getApply_type() {
        return apply_type;
    }

    public void setApply_type(String apply_type) {
        this.apply_type = apply_type;
    }

    public BigDecimal getUserd_amount() {
        return userd_amount;
    }

    public void setUserd_amount(BigDecimal userd_amount) {
        this.userd_amount = userd_amount;
    }

    public BigDecimal getUnused_amount() {
        return unused_amount;
    }

    public void setUnused_amount(BigDecimal unused_amount) {
        this.unused_amount = unused_amount;
    }

    public ComBuyers getCom_buyer() {
        return com_buyer;
    }

    public void setCom_buyer(ComBuyers com_buyer) {
        this.com_buyer = com_buyer;
    }

    public Long getUser_id() {
        return user_id;
    }

    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }

    public Long getSpecial_id() {
        return special_id;
    }

    public void setSpecial_id(Long special_id) {
        this.special_id = special_id;
    }

    public Date getReply_date() {
        return reply_date;
    }

    public void setReply_date(Date reply_date) {
        this.reply_date = reply_date;
    }
}