package com.bcxin.ins.util;

import javax.crypto.Cipher;
import javax.crypto.KeyGenerator;
import javax.crypto.SecretKey;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.net.URLEncoder;
import java.security.NoSuchAlgorithmException;

/**
 * @version V1.0
 * @desc AES 加密工具类
 */
public class AESUtil {

	public final static String ENCODING = "UTF-8";
	// 密钥
	public static final String AES_KEY = "2E9316AAB412DFAED10EFF5E03A1EF72";

	/**
	 * AES 加密
	 *
	 * @param text
	 *            待加密的字符串
	 * @return 加密后的byte[] 数组
	 * @throws Exception
	 */
	public static String encode(String text) throws Exception {
		try {
			String base64Key = AES_KEY;
			byte[] key = parseHexStr2Byte(base64Key);
			SecretKeySpec sKeySpec = new SecretKeySpec(key, "AES");
			Cipher cipher = Cipher.getInstance("AES");
			cipher.init(Cipher.ENCRYPT_MODE, sKeySpec);
			byte[] bjiamihou = cipher.doFinal(text.getBytes(ENCODING));
			String result = parseByte2HexStr(bjiamihou);
			return result;
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}

	/**
	 * AES解密
	 *
	 * @param text
	 *            待解密的字符串
	 * @return 解密后的字符串
	 * @throws Exception
	 */
	public static String decode(String text) throws Exception {
		String base64Key = AES_KEY;
		byte[] key = parseHexStr2Byte(base64Key);
		SecretKeySpec sKeySpec = new SecretKeySpec(key, "AES");
		Cipher cipher = Cipher.getInstance("AES");
		cipher.init(Cipher.DECRYPT_MODE, sKeySpec);
		byte[] bjiemihou = cipher.doFinal(parseHexStr2Byte(text));
		String result = new String(bjiemihou, "UTF-8");
		return result;
	}

	/**
	 * 生成密钥 自动生成base64 编码后的AES128位密钥
	 *
	 * @throws NoSuchAlgorithmException
	 * @throws Exception
	 */
	public static String getAESKey() throws Exception {
		KeyGenerator kg = KeyGenerator.getInstance("AES");
		kg.init(128);// 要生成多少位，只需要修改这里即可128, 192或256
		SecretKey sk = kg.generateKey();
		byte[] b = sk.getEncoded();
		return parseByte2HexStr(b);
	}

	/**
	 * 将16进制转换为二进制
	 *
	 * @param hexStr
	 * @return
	 */
	public static byte[] parseHexStr2Byte(String hexStr) {
		if (hexStr.length() < 1)
			return null;
		byte[] result = new byte[hexStr.length() / 2];
		for (int i = 0; i < hexStr.length() / 2; i++) {
			int high = Integer.parseInt(hexStr.substring(i * 2, i * 2 + 1), 16);
			int low = Integer.parseInt(hexStr.substring(i * 2 + 1, i * 2 + 2), 16);
			result[i] = (byte) (high * 16 + low);
		}
		return result;
	}

	/**
	 * 将二进制转换成16进制
	 *
	 * @param buf
	 * @return
	 */
	public static String parseByte2HexStr(byte buf[]) {
		StringBuffer sb = new StringBuffer();
		for (int i = 0; i < buf.length; i++) {
			String hex = Integer.toHexString(buf[i] & 0xFF);
			if (hex.length() == 1) {
				hex = '0' + hex;
			}
			sb.append(hex.toUpperCase());
		}
		return sb.toString();
	}

	public static byte[] AES_CBC_Decrypt(byte[] data, byte[] key, byte[] iv) throws Exception {
		Cipher cipher = getCipher(Cipher.DECRYPT_MODE, key, iv);
		return cipher.doFinal(data);
	}

	private static Cipher getCipher(int mode, byte[] key, byte[] iv) throws Exception {
		Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");

		// 因为AES的加密块大小是128bit(16byte), 所以key是128、192、256bit无关
		// System.out.println("cipher.getBlockSize()： " +
		// cipher.getBlockSize());

		SecretKeySpec secretKeySpec = new SecretKeySpec(key, "AES");
		cipher.init(mode, secretKeySpec, new IvParameterSpec(iv));

		return cipher;
	}

	public static void main(String[] args) throws Exception {
		System.out.println(AESUtil.encode("__KUze8OCNjzQowOSjSkT"));
		System.out.println(AESUtil.encode("__bVGbc8nLcQHsaOb5V7X"));
		System.out.println(AESUtil.encode("v5_super_manager"));
		System.out.println(AESUtil.decode("7E1CD41414C0F1C30FBA0D99E21FA35CEFA92F8D8423092D8CD94370DAAF2AF7"));
		System.out.println(URLEncoder.encode("insurancemanagement/insurance-mart","UTF-8"));
		System.out.println(URLEncoder.encode("insurancemanagement/insurance-management","UTF-8"));
		System.out.println(URLEncoder.encode("insurancemanagement/enterpriseinsurance","UTF-8"));
		System.out.println(URLEncoder.encode("insurancemanagement/insurancePreservation","UTF-8"));
		System.out.println(URLEncoder.encode("insurancemanagement/insurance-officer","UTF-8"));
	}


}