package com.bcxin.ins.vo.report_pac;

import java.util.List;

/**
 * <b> 基础报案信息表 </b>
 * @author ZXF
 * @create 2019/11/11 0011 11:06
 * @version
 * @注意事项 </b>
 */
public class InsCommonReportVo {

    private String ins_common_report_id;

    private String register_user_id;//归属账号Id

    private String ins_insurance_slip_id;

    private String update_time;//

    private String update_by;//

    private String report_no;//报案号

    private String status;//状态

    private String channel_code;//通道号

    private String policy_no;//保单号【数字且长度不能大于21位】

    private String reporter_name;//报案人姓名【不能超过21字符】

    private String reporter_tel;//报案人手机【数字且不能大于11位】

    private String report_date;//报案时间【格式yyyy-mm-dd hh24:mi:ss】

    private String accident_date;//出险时间【格式yyyy-mm-dd hh24:mi:ss】

    private String is_overseas_accident = "N";	//是否境外出险【Y-是 N-否】

    private String accident_province_code;// 出险地点省代码

    private String accident_city_code;//出险地点城市代码

    private String accident_county_code;//出险地点区/县代码

    private String accident_place;//出险地点之详细地址

    private String accident_process;//出险经过

    private String accident_cause_level_1;//出险原因一级代码

    private String accident_cause_level_2;//出险原因二级代码

    private String is_cargo_loss = "N";//是否物损【Y——是,N——否】

    private String is_injured = "Y";//是否人伤【Y——是,N——否】

    private String is_carloss = "N";//是否车损【Y——是,N——否】

    private String loss_type = "1";//损失类型【1人伤,2物损,3车损】

    private String injured_detail;//人伤类型（01-门诊，02-住院、伤残，03-死亡）多种类型，以”,”号隔开

    private String outpatient_list;//门诊人员姓名列表，以“,”隔开

    private String maim_list;//住院、任务残人员姓名列表，以“,”隔开

    private String demise_list;//死亡人员姓名列表，以“,”隔开

    private String cargo_loss_detail;//物损详情，多个以“,”隔开，有物损时有值,默认传” ZRBDSP0001, ZRBDSP008”

    private String report_loss_sum = "1";//损失金额【非负数且最长16位】

    private String is_self_claim = "Y";//客户意愿【Y--用户自助理赔,N--非用户自助理赔，默认传Y】

    private String user_id;

    private String loss_currency_code = "01";//损失币种【01 人民币02 港元  03 美元,默认传01】

    private String report_Mode;//报案方式【OPENAPI,传F】
    private String ins_payment_info_id;//银行支付信息Id

    private List<InsClaimInformationVo> claimInformationVoList;//索赔资料附件

    private InsPaymentInfoVo insPaymentInfoVo;//银行支付信息

    /*   报案结果字段    */
    private String check_loss_sum;//核损金额

    private String audit_status;//案件状态【1报案成功，0报案失败】

    private String claim_no;//运单号

    private String suggestion_text;//备注【报案失败原因,返回如下对应中文描述,若报案成功此字段空】

    private String end_case_date;//结案时间

    private List<InsCaseInfoVo> caseInfoVoList;//报案成功案件信息

    private List<InsCaseScheduleVo> caseScheduleVoList;//案件进展与计划信息

    private String accident_address;//出险地点组合

    private String accident_cause_level;//出险原因组合

    private String injured_detail_content;//人伤类型组合

    private String is_sync;//是否线下同步（0否，1是）

    private String signature_path;//签名图片地址

    private String saas_com_id;//saas的用户自提交报案时记录提交人saas账号归属公司id

    private String saas_idcardno;//saas的用户自提交报案时记录提交人saas身份证

    public String getIns_common_report_id() {
        return ins_common_report_id;
    }

    public void setIns_common_report_id(String ins_common_report_id) {
        this.ins_common_report_id = ins_common_report_id;
    }

    public String getIns_insurance_slip_id() {
        return ins_insurance_slip_id;
    }

    public void setIns_insurance_slip_id(String ins_insurance_slip_id) {
        this.ins_insurance_slip_id = ins_insurance_slip_id;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getReport_no() {
        return report_no;
    }

    public void setReport_no(String report_no) {
        this.report_no = report_no;
    }

    public String getChannel_code() {
        return channel_code;
    }

    public void setChannel_code(String channel_code) {
        this.channel_code = channel_code;
    }

    public String getPolicy_no() {
        return policy_no;
    }

    public void setPolicy_no(String policy_no) {
        this.policy_no = policy_no;
    }

    public String getReporter_name() {
        return reporter_name;
    }

    public void setReporter_name(String reporter_name) {
        this.reporter_name = reporter_name;
    }

    public String getReporter_tel() {
        return reporter_tel;
    }

    public void setReporter_tel(String reporter_tel) {
        this.reporter_tel = reporter_tel;
    }

    public String getReport_date() {
        return report_date;
    }

    public void setReport_date(String report_date) {
        this.report_date = report_date;
    }

    public String getAccident_date() {
        return accident_date;
    }

    public void setAccident_date(String accident_date) {
        this.accident_date = accident_date;
    }

    public String getIs_overseas_accident() {
        return is_overseas_accident;
    }

    public void setIs_overseas_accident(String is_overseas_accident) {
        this.is_overseas_accident = is_overseas_accident;
    }

    public String getAccident_province_code() {
        return accident_province_code;
    }

    public void setAccident_province_code(String accident_province_code) {
        this.accident_province_code = accident_province_code;
    }

    public String getAccident_city_code() {
        return accident_city_code;
    }

    public void setAccident_city_code(String accident_city_code) {
        this.accident_city_code = accident_city_code;
    }

    public String getAccident_county_code() {
        return accident_county_code;
    }

    public void setAccident_county_code(String accident_county_code) {
        this.accident_county_code = accident_county_code;
    }

    public String getAccident_place() {
        return accident_place;
    }

    public void setAccident_place(String accident_place) {
        this.accident_place = accident_place;
    }

    public String getAccident_process() {
        return accident_process;
    }

    public void setAccident_process(String accident_process) {
        this.accident_process = accident_process;
    }

    public String getAccident_cause_level_1() {
        return accident_cause_level_1;
    }

    public void setAccident_cause_level_1(String accident_cause_level_1) {
        this.accident_cause_level_1 = accident_cause_level_1;
    }

    public String getAccident_cause_level_2() {
        return accident_cause_level_2;
    }

    public void setAccident_cause_level_2(String accident_cause_level_2) {
        this.accident_cause_level_2 = accident_cause_level_2;
    }

    public String getIs_cargo_loss() {
        return is_cargo_loss;
    }

    public void setIs_cargo_loss(String is_cargo_loss) {
        this.is_cargo_loss = is_cargo_loss;
    }

    public String getIs_injured() {
        return is_injured;
    }

    public void setIs_injured(String is_injured) {
        this.is_injured = is_injured;
    }

    public String getIs_carloss() {
        return is_carloss;
    }

    public void setIs_carloss(String is_carloss) {
        this.is_carloss = is_carloss;
    }

    public String getLoss_type() {
        return loss_type;
    }

    public void setLoss_type(String loss_type) {
        this.loss_type = loss_type;
    }

    public String getInjured_detail() {
        return injured_detail;
    }

    public void setInjured_detail(String injured_detail) {
        this.injured_detail = injured_detail;
    }

    public String getOutpatient_list() {
        return outpatient_list;
    }

    public void setOutpatient_list(String outpatient_list) {
        this.outpatient_list = outpatient_list;
    }

    public String getMaim_list() {
        return maim_list;
    }

    public void setMaim_list(String maim_list) {
        this.maim_list = maim_list;
    }

    public String getDemise_list() {
        return demise_list;
    }

    public void setDemise_list(String demise_list) {
        this.demise_list = demise_list;
    }

    public String getCargo_loss_detail() {
        return cargo_loss_detail;
    }

    public void setCargo_loss_detail(String cargo_loss_detail) {
        this.cargo_loss_detail = cargo_loss_detail;
    }

    public String getReport_loss_sum() {
        return report_loss_sum;
    }

    public void setReport_loss_sum(String report_loss_sum) {
        this.report_loss_sum = report_loss_sum;
    }

    public String getIs_self_claim() {
        return is_self_claim;
    }

    public void setIs_self_claim(String is_self_claim) {
        this.is_self_claim = is_self_claim;
    }

    public String getUser_id() {
        return user_id;
    }

    public void setUser_id(String user_id) {
        this.user_id = user_id;
    }

    public String getLoss_currency_code() {
        return loss_currency_code;
    }

    public void setLoss_currency_code(String loss_currency_code) {
        this.loss_currency_code = loss_currency_code;
    }

    public String getReport_Mode() {
        return report_Mode;
    }

    public void setReport_Mode(String report_Mode) {
        this.report_Mode = report_Mode;
    }

    public List<InsClaimInformationVo> getClaimInformationVoList() {
        return claimInformationVoList;
    }

    public void setClaimInformationVoList(List<InsClaimInformationVo> claimInformationVoList) {
        this.claimInformationVoList = claimInformationVoList;
    }

    public InsPaymentInfoVo getInsPaymentInfoVo() {
        return insPaymentInfoVo;
    }

    public void setInsPaymentInfoVo(InsPaymentInfoVo insPaymentInfoVo) {
        this.insPaymentInfoVo = insPaymentInfoVo;
    }

    public String getCheck_loss_sum() {
        return check_loss_sum;
    }

    public void setCheck_loss_sum(String check_loss_sum) {
        this.check_loss_sum = check_loss_sum;
    }

    public String getAudit_status() {
        return audit_status;
    }

    public void setAudit_status(String audit_status) {
        this.audit_status = audit_status;
    }

    public String getClaim_no() {
        return claim_no;
    }

    public void setClaim_no(String claim_no) {
        this.claim_no = claim_no;
    }

    public String getSuggestion_text() {
        return suggestion_text;
    }

    public void setSuggestion_text(String suggestion_text) {
        this.suggestion_text = suggestion_text;
    }

    public List<InsCaseInfoVo> getCaseInfoVoList() {
        return caseInfoVoList;
    }

    public void setCaseInfoVoList(List<InsCaseInfoVo> caseInfoVoList) {
        this.caseInfoVoList = caseInfoVoList;
    }

    public List<InsCaseScheduleVo> getCaseScheduleVoList() {
        return caseScheduleVoList;
    }

    public void setCaseScheduleVoList(List<InsCaseScheduleVo> caseScheduleVoList) {
        this.caseScheduleVoList = caseScheduleVoList;
    }

    public String getRegister_user_id() {
        return register_user_id;
    }

    public void setRegister_user_id(String register_user_id) {
        this.register_user_id = register_user_id;
    }

    public String getIns_payment_info_id() {
        return ins_payment_info_id;
    }

    public void setIns_payment_info_id(String ins_payment_info_id) {
        this.ins_payment_info_id = ins_payment_info_id;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }

    public String getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(String update_by) {
        this.update_by = update_by;
    }

    public String getEnd_case_date() {
        return end_case_date;
    }

    public void setEnd_case_date(String end_case_date) {
        this.end_case_date = end_case_date;
    }

    public String getAccident_address() {
        return accident_address;
    }

    public void setAccident_address(String accident_address) {
        this.accident_address = accident_address;
    }

    public String getAccident_cause_level() {
        return accident_cause_level;
    }

    public void setAccident_cause_level(String accident_cause_level) {
        this.accident_cause_level = accident_cause_level;
    }

    public String getInjured_detail_content() {
        return injured_detail_content;
    }

    public void setInjured_detail_content(String injured_detail_content) {
        this.injured_detail_content = injured_detail_content;
    }

    public String getIs_sync() {
        return is_sync;
    }

    public void setIs_sync(String is_sync) {
        this.is_sync = is_sync;
    }

    public String getSignature_path() {
        return signature_path;
    }

    public void setSignature_path(String signature_path) {
        this.signature_path = signature_path;
    }

    public String getSaas_com_id() {
        return saas_com_id;
    }

    public void setSaas_com_id(String saas_com_id) {
        this.saas_com_id = saas_com_id;
    }

    public String getSaas_idcardno() {
        return saas_idcardno;
    }

    public void setSaas_idcardno(String saas_idcardno) {
        this.saas_idcardno = saas_idcardno;
    }
}